#include <iostream>
#include <iomanip>

using namespace std;

int main()
{
    int n;
    double zar=0.0,maxzar=0.0,rez;
    cin>>n;
    double a[n],p[n];
    for(int i=0;i<n;i++){
        cin>>a[i]>>p[i];
    }
    for(int i=0;i<n;i++){
        rez=p[i]/100;
        for(int j=0;j<n;j++){
            if(p[j]>=p[i]){
                zar+=a[j]*rez;
            }
        }
        if(zar>maxzar) maxzar=zar;
        zar=0;
    }
    cout<<fixed<<maxzar<<endl;
    return 0;
}